<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Ansible常用模块 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="ping模块：检测各主机之间的连接状况 如： 1[root@localhost ~]# ansible all -m ping command模块：主要用于执行简单的shell命令：单个命令 如：ls、cat等类似简单命令，不带有管道符类似操作的使用shell模块 例： 12345678910111213[root@localhost ~]# ansible dbserver -m command">
<meta property="og:type" content="article">
<meta property="og:title" content="Ansible常用模块">
<meta property="og:url" content="http://example.com/2021/01/21/Ansible%E5%B8%B8%E7%94%A8%E6%A8%A1%E5%9D%97/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="ping模块：检测各主机之间的连接状况 如： 1[root@localhost ~]# ansible all -m ping command模块：主要用于执行简单的shell命令：单个命令 如：ls、cat等类似简单命令，不带有管道符类似操作的使用shell模块 例： 12345678910111213[root@localhost ~]# ansible dbserver -m command">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-01-21T02:30:00.000Z">
<meta property="article:modified_time" content="2021-02-06T10:24:20.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/01/21/Ansible%E5%B8%B8%E7%94%A8%E6%A8%A1%E5%9D%97/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-06 18:24:20'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Ansible常用模块</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-01-21T02:30:00.000Z" title="发表于 2021-01-21 10:30:00">2021-01-21</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-06T10:24:20.000Z" title="更新于 2021-02-06 18:24:20">2021-02-06</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Ansible/">Ansible</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h6 id="ping模块："><a href="#ping模块：" class="headerlink" title="ping模块："></a>ping模块：</h6><p>检测各主机之间的连接状况</p>
<p>如：</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">[root@localhost ~]<span class="comment"># ansible all -m ping</span></span><br></pre></td></tr></table></figure>
<h6 id="command模块："><a href="#command模块：" class="headerlink" title="command模块："></a>command模块：</h6><p>主要用于执行简单的shell命令：单个命令</p>
<p>如：ls、cat等类似简单命令，不带有管道符类似操作的使用shell模块</p>
<p>例：</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line">[root@localhost ~]<span class="comment"># ansible dbserver -m command -a &#x27;ls /root&#x27;</span></span><br><span class="line"><span class="comment"># 配置主机清单时dbserver中，只写入了1.4，所以结果只有1.4主机运行ls /root</span></span><br><span class="line">192.168.1.4 | CHANGED | rc=0 &gt;&gt;</span><br><span class="line">anaconda-ks.cfg</span><br><span class="line">initial-setup-ks.cfg</span><br><span class="line">公共</span><br><span class="line">模板</span><br><span class="line">视频</span><br><span class="line">图片</span><br><span class="line">文档</span><br><span class="line">下载</span><br><span class="line">音乐</span><br><span class="line">桌面</span><br></pre></td></tr></table></figure>
<h6 id="shell模块"><a href="#shell模块" class="headerlink" title="shell模块"></a>shell模块</h6><p>执行linux复杂命令</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">[root@localhost ~]<span class="comment"># ansible dbserver -m shell -a &#x27;ls /root/ | wc -l&#x27;</span></span><br><span class="line">192.168.1.4 | CHANGED | rc=0 &gt;&gt;</span><br><span class="line">10</span><br></pre></td></tr></table></figure>
<h6 id="args"><a href="#args" class="headerlink" title="args"></a>args</h6><p>如果在编译安装包时，需要进入目录进行配置，使用以下</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"></span><br><span class="line">- shell: ./configure &amp;&amp; make &amp;&amp; make install</span><br><span class="line">  args:</span><br><span class="line">    <span class="built_in">chdir</span>: 解压包路径</span><br></pre></td></tr></table></figure>
<h6 id="cron模块"><a href="#cron模块" class="headerlink" title="cron模块"></a>cron模块</h6><p>执行计划任务，用于为被控制端设置自动化任务</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br></pre></td><td class="code"><pre><span class="line"></span><br><span class="line"><span class="comment"># 设置任务</span></span><br><span class="line">[root@localhost ~]<span class="comment"># ansible dbserver -m cron -a &#x27;minute=&quot;*/2&quot; job=&quot;date &gt;&gt; /tmp/date.txt&quot; name=&quot;show date&quot; state=present&#x27;</span></span><br><span class="line">state=persent:一般表示新增</span><br><span class="line"><span class="comment"># 删除任务，只需要指定name即可</span></span><br><span class="line">[root@localhost ~]<span class="comment"># ansible dbserver -m cron -a &#x27; name=&quot;show date&quot; state=absent&#x27;</span></span><br><span class="line">state=absent：一般表示移除，可以用来删除计划任务</span><br><span class="line"><span class="comment"># cron的其他关键字参考</span></span><br><span class="line">[root@localhost ~]<span class="comment"># ansible-doc -s cron</span></span><br></pre></td></tr></table></figure>
<h6 id="user模块"><a href="#user模块" class="headerlink" title="user模块"></a>user模块</h6><p>常用操作</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">useradd 用户名		<span class="comment"># 创建普通用户</span></span><br><span class="line">passwd 用户名		<span class="comment"># 设置用户密码</span></span><br><span class="line">useradd -M -s /sbin/nologin 用户名		<span class="comment"># 创建的用户没有家目录，不能登录</span></span><br><span class="line">useradd -u 用户id -g gid 用户名   <span class="comment"># 创建用户时指定uid和gid</span></span><br><span class="line">userdel -r 用户			<span class="comment"># 连同用户家目录一起删除用户</span></span><br></pre></td></tr></table></figure>
<p>以上操作通过ansible来完成</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m user -a <span class="string">&#x27;name=用户名 state=present&#x27;</span>	<span class="comment"># 创建用户</span></span><br><span class="line"><span class="comment"># openssl passwd &quot;123.com&quot;用来获取加密后的密码</span></span><br><span class="line">ansible 操作对象 -m user -a <span class="string">&#x27;name=用户名 password=&quot;加密密码&quot; state=present&#x27;</span>   <span class="comment"># 创建用户并设置密码</span></span><br><span class="line">ansible 操作对象 -m shell -a <span class="string">&#x27;echo &quot;123.com&quot; | passwd --stdin 用户名&#x27;</span>   <span class="comment"># 设置用户密码</span></span><br><span class="line"><span class="comment"># 创建无家目录，不能登录的用户</span></span><br><span class="line">ansible 操作对象 -m user -a <span class="string">&#x27;name=用户名 create_home=no shell=/sbin/nologin state=present&#x27;</span>  </span><br><span class="line"><span class="comment"># 创建用户是指定uid和基本组</span></span><br><span class="line">ansible 操作对象 -m user -a <span class="string">&#x27;name=用户名 uid=id号 group=组名 state=present&#x27;</span></span><br><span class="line"><span class="comment"># 连同用户家目录一同删除</span></span><br><span class="line">ansible 操作对象 -m user -a <span class="string">&#x27;name=用户名 remove=yes state=absent&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="group模块"><a href="#group模块" class="headerlink" title="group模块"></a>group模块</h6><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">添加组</span><br><span class="line">ansible 操作对象 -m group -a <span class="string">&#x27;name=组名 system=yes state=present gid=ID号&#x27;</span></span><br><span class="line">system=yes：是否是公共组</span><br><span class="line">删除组</span><br><span class="line">ansible 操作对象 -m group -a <span class="string">&#x27;name=组名 state=absent&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="copy模块"><a href="#copy模块" class="headerlink" title="copy模块"></a>copy模块</h6><p>1、从主控端复制文件到被控端（类似scp）</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">ansible all -m copy -a <span class="string">&#x27;src=主控端文件路径 dest=被控端保存路径&#x27;</span></span><br><span class="line"><span class="comment"># 在被控端查看是否复制文件成功</span></span><br><span class="line">ansible all -m shell -a <span class="string">&#x27;ls 被控端保存文件路径&#x27;</span></span><br></pre></td></tr></table></figure>
<p>2、主控端控制被控端复制和粘贴被控端的文件</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m copy -a <span class="string">&#x27;src=被控端源文件路径 dest=被控端目标位置 remote_src=yes&#x27;</span></span><br><span class="line"><span class="comment"># 验证ansible的幂等性，remote_src=yes，当发现同文件名时，不执行此命令</span></span><br><span class="line">ansible 操作对象 -m copy -a <span class="string">&#x27;src=被控端源文件路径 dest=被控端目标位置 remote_src=yes backup=yes&#x27;</span></span><br><span class="line"><span class="comment"># 修改被控端/root/resolv.conf的内容，使其可以发生文件覆盖，此时在加上backup进行文件覆盖前的备份</span></span><br></pre></td></tr></table></figure>
<h6 id="file模块"><a href="#file模块" class="headerlink" title="file模块"></a>file模块</h6><p>1、修改文件属性（owner（属主） group（属组） mode（权限） 对应linux命令 chown chmod</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 改变属主属组</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;path=被控端都存在的要修改属主属组的文件路径 owner=被控端都存在的用户 group=被控端都存在的组 recurse=yes&#x27;</span></span><br><span class="line"> recurse=yes：表示递归设置属主属组</span><br><span class="line"><span class="comment"># 修改文件权限</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;path=被控端存在的文件路径 mode=7777 recurse=yes&#x27;</span></span><br><span class="line"> 使用mnnn样式的四位8进制数表示，recurse=yes：对当前目录中的所有内容递归权限</span><br></pre></td></tr></table></figure>

<p>2、软链接、硬链接</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 软链接</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;src=被控端源文件 dest=软链接文件路径 state=link&#x27;</span></span><br><span class="line"><span class="comment"># 硬链接</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;src=被控端源文件 dest=硬链接文件路径 state=hard&#x27;</span></span><br></pre></td></tr></table></figure>
<p>3、创建文件和目录</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 创建文件</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;path=文件路径及文件名 state=touch&#x27;</span></span><br><span class="line"><span class="comment"># 创建目录</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;path=目录路径及目录名 state=directory&#x27;</span></span><br><span class="line"><span class="comment"># 删除文件或者目录</span></span><br><span class="line">ansible 操作对象 -m file -a <span class="string">&#x27;path=被控端删除文件或目录路径 state=absent&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="yum模块"><a href="#yum模块" class="headerlink" title="yum模块"></a>yum模块</h6><p>主控端控制被控端，使其使用yum安装rpm包</p>
<p>前提：被控端的yum可用</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 安装rpm某包</span></span><br><span class="line">ansible 操作对象 -m yum -a <span class="string">&#x27;name=包名,包名1... state=installed/present    # 默认不写state是installed/present</span></span><br><span class="line"><span class="string"># 卸载rpm包</span></span><br><span class="line"><span class="string">ansible 操作对象 -m yum -a &#x27;</span>name=包名,包名1... state=removed/absent</span><br></pre></td></tr></table></figure>
<h6 id="service模块"><a href="#service模块" class="headerlink" title="service模块"></a>service模块</h6><p>操控被控端开启、关闭、重启、重载（视具体服务而定）</p>
<p>notice：service可用管理rpm包安装的服务，源码安装的服务建议使用shell模块直接打命令</p>
<p>服务状态：started/stopped/restarted/reloaded</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m service -a <span class="string">&#x27;name=服务名 state=服务状态&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="hostname模块"><a href="#hostname模块" class="headerlink" title="hostname模块"></a>hostname模块</h6><p>修改主机名操作</p>
<p>hostname 主机名 临时</p>
<p>hostnamectl set-hostname 主机名 永久</p>
<p>vim /etc/hosts 修改配置文件</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m hostname -a <span class="string">&#x27;name=主机名&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="script模块"><a href="#script模块" class="headerlink" title="script模块"></a>script模块</h6><p>用于将主控端的脚本在被控端执行，shell脚本和python脚本</p>
<p>写一个简单创建用户的脚本</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">!/bin/bash</span><br><span class="line"><span class="keyword">for</span> i <span class="keyword">in</span> &#123;1..10&#125;</span><br><span class="line">    <span class="keyword">do</span></span><br><span class="line">        useradd user<span class="variable">$i</span></span><br><span class="line">        <span class="built_in">echo</span> <span class="string">&#x27;123.com&#x27;</span> | passwd --stdin user<span class="variable">$i</span></span><br><span class="line">    <span class="keyword">done</span></span><br></pre></td></tr></table></figure>
<p>添加脚本可执行权限</p>
<p><code>chmod +x users.sh </code><br>使用script模块执行脚本</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 执行脚本</span></span><br><span class="line">ansible 操作对象 -m script -a <span class="string">&#x27;脚本文件在主控端的路径&#x27;</span></span><br><span class="line"><span class="comment"># 验证</span></span><br><span class="line">ansible 操作对象 -m shell -a <span class="string">&#x27;tail /etc/passwd&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="setup模块"><a href="#setup模块" class="headerlink" title="setup模块"></a>setup模块</h6><p>用于获取被控端的ansible变量值，主要用于模板剧本中，可以利用变量，实现对被控端的快速配置和差异化配置</p>
<p>ansible变量：用于记录所有主控端和被控端的连接信息</p>
<p>ansible dbserver -m setup 查看所有的变量值</p>
<p>常用选项：ansible 操作对象 -m setup -a ‘filter=”<em>变量关键字</em>“‘ filter用于筛选变量</p>
<p>如：</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 关于cpu的变量</span></span><br><span class="line">ansible dbserver -m setup -a <span class="string">&#x27;filter=&quot;*cpu*&quot;&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="fetch模块"><a href="#fetch模块" class="headerlink" title="fetch模块"></a>fetch模块</h6><p>拿取被控端文件</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 存放时，会将每台被控端创建一个ip目录</span></span><br><span class="line">ansible 操作对象 -m fetch -a <span class="string">&#x27;src=被控端文件路径 dest=主控端存放路径&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="replace模块"><a href="#replace模块" class="headerlink" title="replace模块"></a>replace模块</h6><p>可以实现对文件内容的替换</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 替换文件中所有匹配的字符</span></span><br><span class="line">ansible dbserver -m replace -a <span class="string">&#x27;path=被控端文件路径 regexp=&#x27;</span>匹配要替换的字符<span class="string">&#x27; replace=&#x27;</span>替换后的字符<span class="string">&#x27;&#x27;</span></span><br><span class="line"><span class="comment"># 替换指定行</span></span><br></pre></td></tr></table></figure>
<h6 id="template模块"><a href="#template模块" class="headerlink" title="template模块"></a>template模块</h6><p>主要用于主控端使用模板配置被控端配置文件的场景</p>
<p>需要用到模板文件，文件必须以.j2结尾</p>
<p>以web应用apache为例</p>
<p>主控端和被控端都通过yum模块按照了httpd，在主控端更改配置文件，并重命名.j2结尾</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">ansible webserver -m template -a <span class="string">&#x27;src=.j2文件路径 dest=被控端主配置文件路径&#x27;</span></span><br><span class="line">如：</span><br><span class="line">ansible webserver -m template -a <span class="string">&#x27;src=httpd.conf.j2 dest=/etc/httpd/conf/httpd.conf&#x27;</span></span><br></pre></td></tr></table></figure>
<p>也可以在主控端配置文件中引用变量，在主机清单文件中修改</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">[root@localhost ~]<span class="comment"># vim /etc/ansible/hosts</span></span><br><span class="line">[webserver]</span><br><span class="line">192.168.1.5 http_port=88</span><br><span class="line">192.168.1.6 http_port=90</span><br></pre></td></tr></table></figure>
<p>修改.j2文件</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">[root@localhost ~]<span class="comment"># vim httpd.conf.j2 </span></span><br><span class="line"> &#123;&#123;http_port&#125;&#125; 引用变量</span><br><span class="line">ServerName www.example.com &#123;&#123;http_port&#125;&#125;</span><br></pre></td></tr></table></figure>
<p>将.j2文件传送</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">ansible webserver -m template -a <span class="string">&#x27;src=httpd.conf.j2 dest=/etc/httpd/conf/httpd.conf&#x27;</span></span><br></pre></td></tr></table></figure>
<p>这个时候查看被控端的配置文件中，发现1.5的端口为88,16的端口为90</p>
<h6 id="unarchive模块"><a href="#unarchive模块" class="headerlink" title="unarchive模块"></a>unarchive模块</h6><p>将主控端的压缩文件，解压后放在被控端</p>
<p>在主控端有一个nginx安装包，执行以下操作直接解压到被控端</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m unarchive -a <span class="string">&#x27;src=主控端安装包路径 dest=解压后的被控端存放路径&#x27;</span></span><br></pre></td></tr></table></figure>
<h6 id="lineinfile模块"><a href="#lineinfile模块" class="headerlink" title="lineinfile模块"></a>lineinfile模块</h6><p>修改配置文件时，修改指定行的内容，或者添加到指定行前和指定行后</p>
<p>可以实现在文件加入内容</p>
<p>命令参数说明：</p>
<table>
<thead>
<tr>
<th align="center">参数</th>
<th align="center">含义</th>
</tr>
</thead>
<tbody><tr>
<td align="center">path</td>
<td align="center">指定要操作的文件对象</td>
</tr>
<tr>
<td align="center">egexp</td>
<td align="center">匹配条件</td>
</tr>
<tr>
<td align="center">insertbefore</td>
<td align="center">在指定行前插入</td>
</tr>
<tr>
<td align="center">insertafter</td>
<td align="center">在指定行后插入</td>
</tr>
<tr>
<td align="center">line</td>
<td align="center">要写入的文件内容</td>
</tr>
<tr>
<td align="center">state</td>
<td align="center">present（添加）absent（删除）</td>
</tr>
</tbody></table>
<p>insertbefore和insertafter的特殊值</p>
<p>BOF：begin of file（文件起始位置）<br>EOF：end of file （文件结束位置）</p>
<p>使用insertbefore和insertafter，还有regexp时，需要指定state，其他不需要</p>
<p>在文件开头插入内容 </p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m lineinfile -a <span class="string">&#x27;path=文件路径 insertbefore=BOF line=&quot;插入的内容&quot;&#x27;</span></span><br><span class="line">如：</span><br><span class="line">ansible dbserver -m lineinfile -a <span class="string">&#x27;path=/root/nginx.conf insertbefore=BOF line=&quot;# nihao a&quot;&#x27;</span></span><br><span class="line"> 在nginx.conf文件开头添<span class="string">&quot;# nihao a&quot;</span></span><br></pre></td></tr></table></figure>
<p>在文件结束插入内容</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m lineinfile -a <span class="string">&#x27;path=文件路径 insertbefore=EOF line=&quot;插入的内容&quot;&#x27;</span></span><br><span class="line">如：</span><br><span class="line">ansible dbserver -m lineinfile -a <span class="string">&#x27;path=/root/nginx.conf insertbefore=EOF line=&quot;# nihao a&quot;&#x27;</span></span><br><span class="line"> 在nginx.conf文件的末尾添加<span class="comment"># nihao a</span></span><br></pre></td></tr></table></figure>
<p>在文件指定位置加入内容</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m lineinfile -a <span class="string">&#x27;path=文件路径 insertbefore=&quot;指定位置的内容&quot; line=&quot;插入的内容&quot; state=present</span></span><br><span class="line"><span class="string">如：</span></span><br><span class="line"><span class="string">ansible dbserver -m lineinfile -a &#x27;</span>path=/root/nginx.conf insertbefore=<span class="string">&quot;  server &#123;&quot;</span> line=<span class="string">&quot;root html&quot;</span> state=present<span class="string">&#x27;</span></span><br><span class="line"><span class="string"> 在nginx.conf的server &#123;的上一行添加root html</span></span><br></pre></td></tr></table></figure>
<p>删除文件中的指定内容</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ansible 操作对象 -m lineinfile -a <span class="string">&#x27;path=文件路径 regexp=&quot;要删除的内容&quot; line=&quot;插入的内容&quot; state=absent</span></span><br><span class="line"><span class="string">如：</span></span><br><span class="line"><span class="string">ansible dbserver -m lineinfile -a &#x27;</span>path=/root/nginx.conf regexp=<span class="string">&quot; server &#123;&quot;</span> state=absent<span class="string">&#x27;</span></span><br><span class="line"><span class="string"> 删除nginx.conf的server &#123; 这一行</span></span><br></pre></td></tr></table></figure></article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/01/21/Ansible%E5%B8%B8%E7%94%A8%E6%A8%A1%E5%9D%97/">http://example.com/2021/01/21/Ansible%E5%B8%B8%E7%94%A8%E6%A8%A1%E5%9D%97/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/01/21/Tomcat/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Tomcat</div></div></a></div><div class="next-post pull-right"><a href="/2021/01/21/Ansible%E8%87%AA%E5%8A%A8%E5%8C%96%E8%BF%90%E7%BB%B4%E5%B7%A5%E5%85%B7/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Ansible自动化运维工具</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-6"><a class="toc-link" href="#ping%E6%A8%A1%E5%9D%97%EF%BC%9A"><span class="toc-number">1.</span> <span class="toc-text">ping模块：</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#command%E6%A8%A1%E5%9D%97%EF%BC%9A"><span class="toc-number">2.</span> <span class="toc-text">command模块：</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#shell%E6%A8%A1%E5%9D%97"><span class="toc-number">3.</span> <span class="toc-text">shell模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#args"><span class="toc-number">4.</span> <span class="toc-text">args</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#cron%E6%A8%A1%E5%9D%97"><span class="toc-number">5.</span> <span class="toc-text">cron模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#user%E6%A8%A1%E5%9D%97"><span class="toc-number">6.</span> <span class="toc-text">user模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#group%E6%A8%A1%E5%9D%97"><span class="toc-number">7.</span> <span class="toc-text">group模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#copy%E6%A8%A1%E5%9D%97"><span class="toc-number">8.</span> <span class="toc-text">copy模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#file%E6%A8%A1%E5%9D%97"><span class="toc-number">9.</span> <span class="toc-text">file模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#yum%E6%A8%A1%E5%9D%97"><span class="toc-number">10.</span> <span class="toc-text">yum模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#service%E6%A8%A1%E5%9D%97"><span class="toc-number">11.</span> <span class="toc-text">service模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#hostname%E6%A8%A1%E5%9D%97"><span class="toc-number">12.</span> <span class="toc-text">hostname模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#script%E6%A8%A1%E5%9D%97"><span class="toc-number">13.</span> <span class="toc-text">script模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#setup%E6%A8%A1%E5%9D%97"><span class="toc-number">14.</span> <span class="toc-text">setup模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#fetch%E6%A8%A1%E5%9D%97"><span class="toc-number">15.</span> <span class="toc-text">fetch模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#replace%E6%A8%A1%E5%9D%97"><span class="toc-number">16.</span> <span class="toc-text">replace模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#template%E6%A8%A1%E5%9D%97"><span class="toc-number">17.</span> <span class="toc-text">template模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#unarchive%E6%A8%A1%E5%9D%97"><span class="toc-number">18.</span> <span class="toc-text">unarchive模块</span></a></li><li class="toc-item toc-level-6"><a class="toc-link" href="#lineinfile%E6%A8%A1%E5%9D%97"><span class="toc-number">19.</span> <span class="toc-text">lineinfile模块</span></a></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>